%global dlrn_nvr ansible-role-container-registry-1.4.1.dev2-1.20221116233745.a091b9c
%global dlrn 1
%define upstream_version 1.4.1.dev2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a
%global srcname ansible_role_container_registry
%global rolename ansible-role-container-registry

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.4.1
Release: 17.1.20221116233745.a091b9c%{?dist}
Summary:        Ansible role to deploy a container registry.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-container-registry
Source0: ansible-role-container-registry-1.4.1.dev2-1.20221116233745.a091b9c.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=a091b9cd216c3ecf48a8e0718e57b0d256e9a725

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{rolename}/%{rolename}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires: (python3dist(ansible) or ansible-core >= 2.11)


%description

Ansible role to deploy a container registry

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{rolename}-%{upstream_version} -S git
#Remove ansible from requirements.txt as dependency on ansible is managed manually
sed -i '/^ansible/d' requirements.txt


%build
%{py3_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{py3_install}


%files
%doc README*
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Thu Jun 29 2023 Miguel Garcia <mgarciac@redhat.com> 1.4.1-17.1.20221116233745.a091b9c
- Add RHOSP version to Release

* Wed Nov 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20221116233745.a091b9c
- Update patches
- Remove python-dev from bindep

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220727141536.57da845
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220714132641.57da845
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220713083219.57da845
- Update patches

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20220506223301.57da845
- Update patches
- Remove CentOS 7 based job

* Wed Sep 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210915221837.c17c316
- Update patches
- setup.cfg: Replace dashes with underscores

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210910004221.e745554
- Update patches

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210903082401.e745554
- Update patches
- Use ansible-core 2.11 for tests

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210702223305.a784f1a
- Update patches
- Correct the tox option for skipping sdist generation
- Fixing ci

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-0.20210528110023.41c93a4
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-0.20210512234817.41c93a4
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible_facts
- Fix CI

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop using handlers

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixup requirements

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Fix all the ci

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't log login
- Migrated to molecule 3.0

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't stop containers before docker package update

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Disable docker iptables support"
- Disable docker iptables support

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix race on slow environment

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches



